# Dependencies
#  a) amlpp (http://sourceforge.net/projects/amlpp/ ) [diffusion maps code uses this]
#     a1) blas-dev and lapack-dev [amlpp needs these]
#  b) qmake-qt4
#  c) Imagemagick (libmagick++-dev) [reading and writing images]
#  d) libgsl0-dev [to build histograms]
#  e) opencv (libopencv-imgproc-dev) [emd and chisq distances]
#  f) openmp 
#  g) Eigen (libeigen3-dev) [Eigendecomposition to perform embedding]

TEMPLATE = app
CONFIG += release

QMAKE_CXXFLAGS *= -fopenmp
QT += xml opengl
TARGET = RobustSelect
QMAKE_CXX = g++-4.4
QMAKE_CC = gcc-4.4
QMAKE_LINK = g++-4.4


# This is simplified code and 
# generates many warnings for unused variables
# initializations and comparison of signed with unsigned
QMAKE_CXXFLAGS *= -w

linux-* {
	DESTDIR = ./bin
	OBJECTS_DIR = obj
	LIBS *= -L./lib.linux
}
#QMAKE_LIBDIR += /usr/lib64
INCLUDEPATH = ./densecrf/include ./h  /usr/include/eigen3/ /usr/include/ImageMagick /usr/include/qt4 /usr/include/gsl tclap/include /usr/loca/include .. /usr/include/OpenEXR 

debug {
	QMAKE_CXXFLAGS *= -g
}

SOURCES = cpp/main.cpp cpp/DataMat.cpp cpp/DistHelper.cpp cpp/FactoredImage.cpp cpp/CallCRFVersion.cpp cpp/Hist.cpp cpp/DiffusionMap.cpp \
				densecrf/src/bipartitedensecrf.cpp  densecrf/src/densecrf.cpp   densecrf/src/filter.cpp  \
				densecrf/src/permutohedral.cpp  densecrf/src/util.cpp densecrf/src/probimage.cpp 
		    
HEADERS = h/DataMat.h h/DistHelper.h h/FactoredImage.h  \
		    densecrf/src/sse_defs.h  densecrf/include/densecrf.h densecrf/src/permutohedral.h \
		    densecrf/src/fastmath.h densecrf/src/util.h densecrf/include/probimage.h

LIBS *= -lamlpp -lblas -llapack -lMagick++ -lgsl  -lopencv_core -lopencv_imgproc 
